# -*- coding: utf-8 -*-
##################################################
# This file is part of WAPT Enterprise
# All right reserved, (c) Tranquil IT Systems 2024
# For more information please refer to
# https://wapt.tranquil.it/store/licences.html
##################################################
from setuphelpers import *


def install():
    bin_name = glob.glob("caesium-image-compressor-*.exe")[0]
    install_exe_if_needed(
        bin_name,
        silentflags="/VERYSILENT /SUPPRESSMSGBOXES /NORESTART",
        key="{C457F5B2-65EB-48E9-9744-A3719FEABA4C}_is1",
        min_version=control.get_software_version(),
        timeout=600,
    )
